var registerEnabled = 1;

function logIn(){
    var error = document.getElementById('error');
    var params = {};
    params.email = document.getElementById('mail').value;
    params.pwd = MD5(document.getElementById('password').value);
    
    //Si los campos estan llenos enviarmos los datos al servicio
    if (params.pwd !== '' && params.email !== '') {
        loadScreen();
        callWS("GET", "login/login", params, respx);
        error.innerHTML = "";
    }else{
        error.innerHTML = "Todos los campos son requeridos";
    }
    
    //Obtenemos los datos del servicio
    function respx(status, respText){
        var json = JSON.parse(respText);
        closeLoad();
        if (status == 200){
            setSessionId(json.sessionid)
            gotoPage('home','main', {});
        }else if (status == 401) {
            error.innerHTML = "La clave o el correo son inválidos";
        }else if(status == 402){
            error.innerHTML = "El usuario se encuentra bloqueado";
        }else if(status == 403){
            error.innerHTML = "Realice el proceso de recuperaci&oacute;n de clave para iniciar sesi&oacute;n";
        }else{
            error.innerHTML = json.msg;
        }
    }
}

window.onload = function carga() {
    
    //Login
    document.getElementById('login').addEventListener("click", function(){
        logIn();
    });
    
    //Recover PWD
    document.getElementById('recoverLink').addEventListener("click", function(){
        gotoPage('login','recover',{});
    });
    
    //Registro
    document.getElementById('register').addEventListener("click", function(){
        if(registerEnabled == 1){
            gotoPage('login','register',{});
        }
    });
    
    // Ver pwd
    document.getElementById('eyePwd').addEventListener("click", function(){
        showHide('password')
    });
    
    //Detect enter
    document.body.addEventListener("keydown",function (e) {
        if (e.keyCode === 13) {
            logIn();
        }
    });
    
    // Obtenemos los datos del registro
    getRegisterEnabled();
}

function getRegisterEnabled(){
    let params = {
        id: 6
    }
    loadScreen();
    callWS("GET", "settings/entryregister", params, respx);
    
    //Obtenemos los datos del servicio
    function respx(status, respText){
        var json = JSON.parse(respText);
        closeLoad();
        if (status == 200){
            registerEnabled = parseInt(json.entry.content);
            
            if(registerEnabled == 0){
                document.getElementById('register').style.opacity = 0.5;
                document.getElementById('register').style.cursor = 'default';
            }
        }else{
            console.log(json.msg);
        }
    }
}
